Name:           spec-helper
Version:        0.31.23
Release:        %mkrel 1
Summary:        Tools to ease the creation of rpm packages
License:        GPLv2+
Group:          Development/Other
URL:            https://gitweb.mageia.org/software/rpm/spec-helper/
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(List::MoreUtils)
Requires:       findutils
Requires:       gettext

%description
Tools to ease the creation of rpm packages for the %_vendor distribution.
Compress man pages using xz, convert links and perform some sanitizing on
packages built...

%prep
%setup -q

%install
%make_install

%check
make test

%files
%doc README NEWS
%{_bindir}/macroszification
%{_datadir}/spec-helper
%{_rpmconfigdir}/macros.d/macros.%{name}


%changelog
* Fri May 01 2020 wally <wally> 0.31.23-1.mga8
+ Revision: 1577555
- new version 0.31.23
  - drop unneeded translate_menu (mga#26519)
  - rename spec-helper.macros as macros.spec-helper

* Sun Feb 16 2020 umeabot <umeabot> 0.31.22-3.mga8
+ Revision: 1530495
- Mageia 8 Mass Rebuild

* Fri Aug 30 2019 tv <tv> 0.31.22-2.mga8
+ Revision: 1435218
- no reason to use non standard /etc/rpm/macro.d

* Sun Oct 21 2018 wally <wally> 0.31.22-1.mga7
+ Revision: 1323211
- Move binary and library stripping to __os_install_post in rpm-setup when debug pkg isn't built

* Sat Sep 22 2018 wally <wally> 0.31.21-1.mga7
+ Revision: 1295962
- check .desktop files only in /usr/share/applications

* Fri Sep 21 2018 umeabot <umeabot> 0.31.20-2.mga7
+ Revision: 1291502
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 wally <wally> 0.31.20-1.mga7
+ Revision: 1254612
- new version 0.31.20
  - clean_perl: clean perl stuff only from $RPM_BUILD_ROOT

* Fri Aug 10 2018 martinw <martinw> 0.31.19-1.mga7
+ Revision: 1250965
- exclude mga/dm files from check_desktop_files

* Fri Aug 10 2018 martinw <martinw> 0.31.18-1.mga7
+ Revision: 1250955
- exclude khelpcenter files from check_desktop_files

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.31.17-1.mga7
+ Revision: 1248370
- new version 0.31.17

* Sat Aug 04 2018 guillomovitch <guillomovitch> 0.31.16.1-1.mga7
+ Revision: 1247213
- new version 0.31.16.1

* Sat Aug 04 2018 guillomovitch <guillomovitch> 0.31.16-1.mga7
+ Revision: 1247208
- new version 0.31.16

* Sat Aug 04 2018 guillomovitch <guillomovitch> 0.31.15-1.mga7
+ Revision: 1247191
- new version 0.31.15

* Thu Aug 02 2018 tv <tv> 0.31.14-1.mga7
+ Revision: 1246842
- clean 64bit stuff for perl-5.28 too

* Wed Aug 01 2018 tv <tv> 0.31.13-1.mga7
+ Revision: 1246772
- clean perl stuff for perl-5.28 too

* Sat Jan 09 2016 pterjan <pterjan> 0.31.11-1.mga6
+ Revision: 920887
- Add an helper to disable SMP

* Sat Jul 25 2015 shlomif <shlomif> 0.31.10-1.mga6
+ Revision: 857398
- New version 0.31.10

* Sat Jul 25 2015 shlomif <shlomif> 0.31.9-1.mga6
+ Revision: 857375
- New version 0.31.9
- Convert from tabs to spaces

* Sat Jul 25 2015 shlomif <shlomif> 0.31.8-6.mga6
+ Revision: 857339
- Fix warning on perl-5.22.x
+ wally <wally>
- fix URL

* Wed Oct 15 2014 umeabot <umeabot> 0.31.8-5.mga5
+ Revision: 745538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.31.8-4.mga5
+ Revision: 689269
- Mageia 5 Mass Rebuild

* Sat Jan 11 2014 malo <malo> 0.31.8-3.mga4
+ Revision: 566236
- add patch to fix test
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.31.8-2.mga3
+ Revision: 382456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 24 2012 colin <colin> 0.31.8-1.mga3
+ Revision: 273988
- new version: 0.31.8
-  o fix_pamd: Check for /usr/lib[64]/security/ folder too after usrmove
-  o relink_symlinks: Do not make symlinks to /dev, /proc or /sys relative

* Fri Mar 16 2012 anssi <anssi> 0.31.7-1.mga2
+ Revision: 223662
- new version 0.31.7
  o clean_perl: don't try to remove empty dirs directly under /usr/lib/perl5
    (fixes build of perl itself)
  o clean_perl: use -empty instead of silencing failing directory deletion
    attempts

* Mon Mar 05 2012 dmorgan <dmorgan> 0.31.6-1.mga2
+ Revision: 218614
- prevent waiting for non existing files if files contains space or dash
- Remove mandriva occurency

* Sun Jan 01 2012 dmorgan <dmorgan> 0.31.5-3.mga2
+ Revision: 189421
- Fix URL

* Fri Jan 21 2011 alien <alien> 0.31.5-2.mga1
+ Revision: 29647
- Remove BuildRoot
- imported package spec-helper


* Wed Dec 15 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.5-1mdv2011.0
+ Revision: 621858
- update description...
- re-enable --text option for xz

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 0.31.4-1mdv2011.0
+ Revision: 599603
- xz 5.0 do not support '--text' option now

* Tue Mar 09 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.3-1mdv2010.1
+ Revision: 516813
- new release: 0.31.3

* Fri Mar 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.2-1mdv2010.1
+ Revision: 514714
- hasty new release 0.31.2 as previous one was DOA :(

* Fri Mar 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.31.1-1mdv2010.1
+ Revision: 514575
- don't duplicate stripping functionality (partly responsible for #57754)

* Sat Jan 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.31.0-1mdv2010.1
+ Revision: 484954
- new version

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.6-1mdv2010.1
+ Revision: 468582
- new version

* Thu Jun 25 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.30.5-1mdv2010.0
+ Revision: 389171
- fix EXCLUDE_FROM_STRIP issue dealing with more than just one pattern, which
  would result in files being stripped even when they should've been excluded
  from files being stripped (cause of mdv bug #51374)

* Sat May 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.4-1mdv2010.0
+ Revision: 379000
- new version

* Wed May 13 2009 Michael Scherer <misc@mandriva.org> 0.30.3-1mdv2010.0
+ Revision: 375203
- new release, fix #50803 about missing compression on manpages

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.2-1mdv2010.0
+ Revision: 373625
- new version

* Fri May 08 2009 Götz Waschk <waschk@mandriva.org> 0.30.1-1mdv2010.0
+ Revision: 373384
- new version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 373059
- new version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.29.5-2mdv2009.1
+ Revision: 351506
- rebuild

* Tue Aug 26 2008 Pixel <pixel@mandriva.com> 0.29.5-1mdv2009.0
+ Revision: 276209
- 0.29.5: fix regression related to DONT_STRIP when not exported

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.29.4-2mdv2009.0
+ Revision: 265741
- rebuild early 2009.0 package (before pixel changes)

* Fri May 16 2008 Pixel <pixel@mandriva.com> 0.29.4-1mdv2009.0
+ Revision: 208146
- 0.29.4:
- strip_and_check_elf_files: skip check on /usr/lib/debug (#40847)

* Wed May 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.3-1mdv2009.0
+ Revision: 207063
- new version (fix regression from previous release)

* Wed May 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.2-1mdv2009.0
+ Revision: 207058
- new version (fix build hanging with special files)

* Thu May 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29.1-1mdv2009.0
+ Revision: 204625
- new version (fix #40464)

* Wed May 07 2008 Pixel <pixel@mandriva.com> 0.29-1mdv2009.0
+ Revision: 202853
- 0.29: replace strip_files with strip_and_check_elf_files which checks for
  overlinking (cf http://wiki.mandriva.com/en/Overlinking) and "missing linking"
  (need checking if there are too many false positives)

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28.1-1mdv2008.1
+ Revision: 164801
- new version

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28.0-1mdv2008.1
+ Revision: 160030
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27.2-1mdv2008.0
+ Revision: 81970
- new version

* Tue Sep 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27.1-1mdv2008.0
+ Revision: 79619
- new version

* Sat Jul 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.27-1mdv2008.0
+ Revision: 51914
- 0.27: use lzma compression

* Sat Jun 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26.1-1mdv2008.0
+ Revision: 45945
- new version

* Sun Jun 24 2007 Anssi Hannula <anssi@mandriva.org> 0.26-1mdv2008.0
+ Revision: 43761
- new version
  o do not corrupt files that have CR+LF as EOL

* Fri Jun 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 40094
- new version (fix #22066 and #22982)


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 16:42:48 (54891)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 16:42:09 (54890)
Import spec-helper

* Sat Jul 01 2006 Olivier Thauvin <nanardon@mandriva.org> 0.24-1mdv2007.0
- 0.24
- Replace relative_me_babe by relink_symlinks, by Guillaume Rousse (bug #22983)

* Wed May 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.23-1mdk
- add missing call in macro file (spturtle)

* Mon May 22 2006 Olivier Thauvin <nanardon@mandriva.org> 0.22-1mdk
- fix gprintify path

* Sat May 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.21-1mdk
- fix typo in macros

* Sat May 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.20-1mdk
- cleanup
- split scripts, provide macros to disable it one by one
- rpm 4.4 integration using macrofile

* Thu May 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.12-2mdk
- remove 'mdk' words

* Thu May 18 2006 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.12-1mdk
- 0.12 (fix #21079)

* Fri Jan 07 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.11-1mdk
- Fix translation of Internet menu entry
- handle file names starting with -

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.10.2-1mdk
- Fix translation of menu entries
- Other cleanups and speedups (tvignaud

* Fri Feb 06 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10.1-1mdk
- use " around the section name in spec-helper

* Tue Jan 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- translate menus

* Thu Oct 09 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.2-3mdk
- also nuke /lib64/security/ paths

* Thu Oct 09 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9.2-2mdk
- remove /lib/security from pam config files

